import 'dart:io';

import 'package:args/command_runner.dart';
import 'package:yaml/yaml.dart';

class VersionCommand extends Command<dynamic> {
  final _version = '1.4.0';

  @override
  String get description => 'Show json rest server version';

  @override
  String get name => 'version';

  @override
  void run() {
    final configFile = File('pubspec.yaml');

    var pubspecYaml = loadYaml(configFile.readAsStringSync());
    final version = pubspecYaml['version'];
    print('');
    print('''
     ██╗███████╗ ██████╗ ███╗   ██╗    ██████╗ ███████╗███████╗████████╗    ███████╗███████╗██████╗ ██╗   ██╗███████╗██████╗ 
     ██║██╔════╝██╔═══██╗████╗  ██║    ██╔══██╗██╔════╝██╔════╝╚══██╔══╝    ██╔════╝██╔════╝██╔══██╗██║   ██║██╔════╝██╔══██╗
     ██║███████╗██║   ██║██╔██╗ ██║    ██████╔╝█████╗  ███████╗   ██║       ███████╗█████╗  ██████╔╝██║   ██║█████╗  ██████╔╝
██   ██║╚════██║██║   ██║██║╚██╗██║    ██╔══██╗██╔══╝  ╚════██║   ██║       ╚════██║██╔══╝  ██╔══██╗╚██╗ ██╔╝██╔══╝  ██╔══██╗
╚█████╔╝███████║╚██████╔╝██║ ╚████║    ██║  ██║███████╗███████║   ██║       ███████║███████╗██║  ██║ ╚████╔╝ ███████╗██║  ██║
 ╚════╝ ╚══════╝ ╚═════╝ ╚═╝  ╚═══╝    ╚═╝  ╚═╝╚══════╝╚══════╝   ╚═╝       ╚══════╝╚══════╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═╝                                                                                                                             
    ''');
    print('');
    print('Version: $version');
  }
}
